summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-libs/libdmtx/libdmtx-0.7.5.ebuild')
-rw-r--r--media-libs/libdmtx/libdmtx-0.7.5.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/media-libs/libdmtx/libdmtx-0.7.5.ebuild b/media-libs/libdmtx/libdmtx-0.7.5.ebuild
new file mode 100644
index 00000000000..1210c5c0263
--- /dev/null
+++ b/media-libs/libdmtx/libdmtx-0.7.5.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Barcode data matrix reading and writing library"
+HOMEPAGE="http://libdmtx.sourceforge.net/"
+SRC_URI="https://github.com/dmtx/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="static-libs"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -exec rm -f {} + || die
+}